
public class Apfel {
	int gewicht;
	String sorte;
	public Apfel(int gewicht, String sorte) {
		super();
		this.gewicht = gewicht;
		this.sorte = sorte;
	}
	@Override
	public String toString() {
		return "Apfel [gewicht=" + gewicht + ", sorte=" + sorte + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + gewicht;
		result = prime * result + ((sorte == null) ? 0 : sorte.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (this.getClass() != obj.getClass())
			return false;
		Apfel other = (Apfel) obj;
		if (gewicht != other.gewicht)
			return false;
		if (sorte == null) {
			if (other.sorte != null)
				return false;
		} else if (!sorte.equals(other.sorte))
			return false;
		return true;
	}
	
}
